Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
PageNumberRange Class Reference
Inheritance diagram for PageNumberRange:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (start_number, end_number, filter)
| Constructor, with parameters. More...
| Set (start_number, end_number, filter)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| end_number
| Page number of the end page in current range, starting from 1.
| filter
| Filter type to decide which page numbers of this range would be used. Please refer to values starting from Range.e_All and this should be one of these values.
| start_number
| Page number of the start page in current range, starting from 1.

## Detailed Description

This class represents the page number range (not index range) which is used for class HeaderFooter.

See also
  HeaderFooter

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

PageNumberRange.constructor | ( | start_number | ,
|  | end_number | ,
|  | filter |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from Range.e_All and this should be one of these values.

## ◆ Set()

PageNumberRange.Set | ( | start_number | ,
|  | end_number | ,
|  | filter |
| ) |  |

Set value.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from Range.e_All and this should be one of these values.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.